Bug 4454 - cannot mount Windows 2000 shares
cannot mount Windows 2000 shares
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
x86 Linux
: P3 normal
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-18 14:32 UTC by Marc Chamberlin
Modified: 2009-07-26 08:40 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Chamberlin 2007-03-18 14:32:34 UTC
I don't know if this is a duplicate report, I tried to wade through the 200 hits I got when searching for duplicates and couldn't make sense out of much of the reports. Nor do I know if this this the right place to report this problem but am sure someone will move it to the appropriate place if not.. Apologies in advance if I am not in the right area...

In the past I have been mounting some Windows 2000 shares on my SuSE Linux machines without problems using the smbfs protocol. I automatically mount these shares using the smbfstab file to configure everything. I recently upgraded to the latest SuSE 10.2 release and discovered the smbfs protocol no longer works/is supported and was advised to switch to using cifs. This works fine when I mount shares from other Linux/SuSE machines and from Windows XP systems BUT does not work when I try to mount shares from a Windows 2000 system. Dunno if I am doing something wrong or where to find documentation on how to mount Windows 2000 shared from within smbfstab. A typical configuration line looks something like this -

//darkstar2000/Darkstar_C    /mnt/samba/windows/darkstar2000/c  cifs username=myname,password="mypassword",rw,dmask=0777,fmask=0777

where darkstar2000 is the name of my Windows 2000 machine. SMBSTATUS reports that I am using this version of Samba -

Samba version 3.0.23d-19.2-1179-SUSE-SL10.2

I am not sure what log files to look in for clues, but grepping through log.smbd and log.nmbd did not produce anything useful with reference to this machine
Comment 1 Shirish S. Pargaonkar 2007-03-27 10:35:03 UTC
samba version should not matter since you are using cifs.
What version does command   'modinfo cifs' return?
You may also want to issue following command
echo 1  > /proc/fs/cifs/cifsFYI
and then issue following commands
dmesg -c; mount <mount_directory>; dmesg > <log_file>
and post that log file along with the error message on the terminal.

Comment 2 Marc Chamberlin 2007-03-31 15:34:36 UTC
(In reply to comment #1)
> samba version should not matter since you are using cifs.
> What version does command   'modinfo cifs' return?
> You may also want to issue following command
> echo 1  > /proc/fs/cifs/cifsFYI
> and then issue following commands
> dmesg -c; mount <mount_directory>; dmesg > <log_file>
> and post that log file along with the error message on the terminal.
> 

Well this didn't help me much, just said the mount command didn't succeed with no further information given. (modinfo cifs reported version 1.45) However I have managed to get this to work. I gave up on using the file smbfstab to configure the mounts and moved everything over to fstab. (I dunno for certain but I suspect SuSE/Novel have mucked up something with smbfstab, especially considering the fact that smbmount command is no longer available) Anywise, when I tried to do a mount -a I now started to get a better indication of what was wrong as it reported that a "permission denied" response was being generated. I KNEW my user name and password were correct so on a hunch I removed the quotes from around the password and that worked. All in all I have to say this is VERY poorly documented, and VERY inconsistent in behavior! I used the quotes because sometime in the past, again by just guessing I discovered that the quotes were required so once learned I continued to specify my password using quotes to delimit them. (smbfstab is particularly bad in that almost NO documentation exists on how to use it.)

You can either redirect this bug as a documentation error or mark it as resolved. Your choice... but I hope someone fixes the documentation so others don't fall into this pit.

Comment 3 Shirish S. Pargaonkar 2009-07-21 19:58:36 UTC
Quotes around password is not a problem anymore.
This bug should be closed as resolved.
Comment 4 Jeff Layton 2009-07-26 08:40:56 UTC
Closing as FIXED per Shirish's comment.